# TdApi.PassportElementErrorSource (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PassportElementErrorSource

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PassportElementErrorSource

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PassportElementErrorSource

Direct Known Subclasses:
  `TdApi.PassportElementErrorSourceDataField`, `TdApi.PassportElementErrorSourceFile`, `TdApi.PassportElementErrorSourceFiles`, `TdApi.PassportElementErrorSourceFrontSide`, `TdApi.PassportElementErrorSourceReverseSide`, `TdApi.PassportElementErrorSourceSelfie`, `TdApi.PassportElementErrorSourceTranslationFile`, `TdApi.PassportElementErrorSourceTranslationFiles`, `TdApi.PassportElementErrorSourceUnspecified`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.PassportElementErrorSource extends TdApi.Object permits TdApi.PassportElementErrorSourceUnspecified, TdApi.PassportElementErrorSourceDataField, TdApi.PassportElementErrorSourceFrontSide, TdApi.PassportElementErrorSourceReverseSide, TdApi.PassportElementErrorSourceSelfie, TdApi.PassportElementErrorSourceTranslationFile, TdApi.PassportElementErrorSourceTranslationFiles, TdApi.PassportElementErrorSourceFile, TdApi.PassportElementErrorSourceFiles
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`PassportElementErrorSource()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PassportElementErrorSource

public PassportElementErrorSource()